%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate rust-embed-impl

Name:           rust-rust-embed-impl
Version:        8.3.0
Release:    2%{?dist}
Summary:        Custom Derive Macro which loads files into the rust binary

License:        MIT
URL:            https://crates.io/crates/rust-embed-impl
Source0:         %{crates_source}
Patch:          rust-embed-impl-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust Custom Derive Macro which loads files into the rust binary at
compile time during release and loads the file from the fs during dev.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/license
%doc %{crate_instdir}/readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-embed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-embed-devel %{_description}

This package contains library source intended for building other packages which
use the "debug-embed" feature of the "%{crate}" crate.

%files       -n %{name}+debug-embed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+include-exclude-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+include-exclude-devel %{_description}

This package contains library source intended for building other packages which
use the "include-exclude" feature of the "%{crate}" crate.

%files       -n %{name}+include-exclude-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+interpolate-folder-path-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+interpolate-folder-path-devel %{_description}

This package contains library source intended for building other packages which
use the "interpolate-folder-path" feature of the "%{crate}" crate.

%files       -n %{name}+interpolate-folder-path-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+shellexpand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shellexpand-devel %{_description}

This package contains library source intended for building other packages which
use the "shellexpand" feature of the "%{crate}" crate.

%files       -n %{name}+shellexpand-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 8.3.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.0-1
- initial build
